# DaoIterator Class Reference
[Various accompanying utilities]

Inheritance diagram for DaoIterator:
[legend]

List of all members.

## Public Member Functions

| setDao (ProtoDao $dao)
| getDao ()
| setProjection (ObjectProjection $projection)
| getProjection ()
| setChunkSize ($chunkSize)
| getChunkSize ()
| setKeyProperty ($keyProperty)
| getKeyProperty ()
| rewind ()
| current ()
| key ()
| next ()
| valid ()

## Private Member Functions

| loadNextChunk ($id)

## Private Attributes

| $dao = null
| $projection = null
| $keyProperty = 'id'
| $chunkSize = 42
| $chunk = null
| $offset = 0

## Detailed Description

Definition at line 15 of file DaoIterator.class.php.

## Member Function Documentation

DaoIterator::current | ( |  | ) |

Definition at line 87 of file DaoIterator.class.php.

References valid().

Referenced by key().

Here is the call graph for this function:

DaoIterator::getChunkSize | ( |  | ) |

Definition at line 63 of file DaoIterator.class.php.

DaoIterator::getDao | ( |  | ) |

Returns:
  ProtoDao

Definition at line 36 of file DaoIterator.class.php.

DaoIterator::getKeyProperty | ( |  | ) |

Definition at line 75 of file DaoIterator.class.php.

DaoIterator::getProjection | ( |  | ) |

Returns:
  ObjectProjection

Definition at line 51 of file DaoIterator.class.php.

DaoIterator::key | ( |  | ) |

Definition at line 95 of file DaoIterator.class.php.

References current(), and Assert::methodExists().

Referenced by next().

Here is the call graph for this function:

DaoIterator::loadNextChunk | ( | $ | id | ) | `[private]`

Definition at line 128 of file DaoIterator.class.php.

References Criteria::create(), Expression::gt(), and Assert::isNotNull().

Referenced by next(), rewind(), and valid().

Here is the call graph for this function:

DaoIterator::next | ( |  | ) |

Definition at line 104 of file DaoIterator.class.php.

References key(), loadNextChunk(), and valid().

Here is the call graph for this function:

DaoIterator::rewind | ( |  | ) |

Definition at line 80 of file DaoIterator.class.php.

References loadNextChunk().

Here is the call graph for this function:

DaoIterator::setChunkSize | ( | $ | chunkSize | ) |

Definition at line 56 of file DaoIterator.class.php.

References $chunkSize.

DaoIterator::setDao | ( | ProtoDao $ | dao | ) |

Definition at line 26 of file DaoIterator.class.php.

DaoIterator::setKeyProperty | ( | $ | keyProperty | ) |

Definition at line 68 of file DaoIterator.class.php.

References $keyProperty.

DaoIterator::setProjection | ( | ObjectProjection $ | projection | ) |

Definition at line 41 of file DaoIterator.class.php.

DaoIterator::valid | ( |  | ) |

Definition at line 120 of file DaoIterator.class.php.

References loadNextChunk().

Referenced by current(), and next().

Here is the call graph for this function:

## Member Data Documentation

DaoIterator::$chunk = null`[private]`

Definition at line 23 of file DaoIterator.class.php.

DaoIterator::$chunkSize = 42`[private]`

Definition at line 21 of file DaoIterator.class.php.

Referenced by setChunkSize().

DaoIterator::$dao = null`[private]`

Definition at line 17 of file DaoIterator.class.php.

DaoIterator::$keyProperty = 'id'`[private]`

Definition at line 19 of file DaoIterator.class.php.

Referenced by setKeyProperty().

DaoIterator::$offset = 0`[private]`

Definition at line 24 of file DaoIterator.class.php.

DaoIterator::$projection = null`[private]`

Definition at line 18 of file DaoIterator.class.php.

The documentation for this class was generated from the following file:

- main/Utils/DaoIterator.class.php